Zilfu
API ReferenceBio Blocks

Update

PUT
/spaces/{space}/bio/blocks/{block}
AuthorizationBearer <token>

In: header

Path Parameters

space*integer

The space ID

block*integer

The block ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://zilfu.app/api/spaces/0/bio/blocks/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": 0,
    "type": "string",
    "content": [
      null
    ],
    "sort_order": 0,
    "is_visible": true
  }
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}